import { line, curve, curveCardinal } from 'd3';

export const Marks = ({
  yScale,
  xScale,
  binnedData,
  tooltipFormat,
  innerHeight
}) => (
  <g className="marks">
   
    {binnedData.map((d) => (
      <rect
        x={xScale(d.x0)}
        y={yScale(d.y)}
        width={xScale(d.x1) - xScale(d.x0)}
        height={innerHeight - yScale(d.y)}
        fill={'teal'}
      >
        <title>{`${tooltipFormat(d.x0)}\nTotal: ${d.y}`}</title>
      </rect>
    ))}
  </g>
);
